package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.CameraManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (CameraManage)表数据库访问层
 *
 * @author makejava
 * @since 2020-11-26 10:25:13
 */
@Mapper
public interface CameraManageMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    CameraManage selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<CameraManage> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param cameraManage 实例对象
     * @return 对象列表
     */
    List<CameraManage> selectList(CameraManage cameraManage);

    /**
     * 新增数据
     *
     * @param cameraManage 实例对象
     * @return 影响行数
     */
    int insert(CameraManage cameraManage);

    /**
     * 批量新增
     *
     * @param cameraManages 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("cameraManages") List<CameraManage> cameraManages);

    /**
     * 修改数据
     *
     * @param cameraManage 实例对象
     * @return 影响行数
     */
    int update(CameraManage cameraManage);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<CameraManage> selectPage(IPage<CameraManage> page, CameraManage cameraManage);

    IPage<CameraManage> appSelectPage(IPage<CameraManage> page, CameraManage cameraManage);

    int deleteAll(List<Integer> ids);

    List<CameraManage> getAllCameras(Integer id);

    List<CameraManage> selectAllCameras(CameraManage searchCameraManage);

}